use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IDynamicBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "dynamic_block")]
pub(crate) struct RenderDynamicBlock {}

impl RenderDynamicBlock {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        original: &IDynamicBlock,
    ) -> Result<RenderDynamicBlock, CustomError> {
        Ok(RenderDynamicBlock {})
    }
}
