use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IFootnoteDefinition;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "footnote_definition")]
pub(crate) struct RenderFootnoteDefinition {}

impl RenderFootnoteDefinition {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        original: &IFootnoteDefinition,
    ) -> Result<RenderFootnoteDefinition, CustomError> {
        Ok(RenderFootnoteDefinition {})
    }
}
