use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IFootnoteReference;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "footnote_reference")]
pub(crate) struct RenderFootnoteReference {}

impl RenderFootnoteReference {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        comment: &IFootnoteReference,
    ) -> Result<RenderFootnoteReference, CustomError> {
        Ok(RenderFootnoteReference {})
    }
}
