use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IInlineBabelCall;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "inline_babel_call")]
pub(crate) struct RenderInlineBabelCall {}

impl RenderInlineBabelCall {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        comment: &IInlineBabelCall,
    ) -> Result<RenderInlineBabelCall, CustomError> {
        Ok(RenderInlineBabelCall {})
    }
}
