use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IInlineSourceBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "inline_source_block")]
pub(crate) struct RenderInlineSourceBlock {}

impl RenderInlineSourceBlock {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        comment: &IInlineSourceBlock,
    ) -> Result<RenderInlineSourceBlock, CustomError> {
        Ok(RenderInlineSourceBlock {})
    }
}
