use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ILatexEnvironment;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "latex_environment")]
pub(crate) struct RenderLatexEnvironment {}

impl RenderLatexEnvironment {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        original: &ILatexEnvironment,
    ) -> Result<RenderLatexEnvironment, CustomError> {
        Ok(RenderLatexEnvironment {})
    }
}
