use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPropertyDrawer;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "property_drawer")]
pub(crate) struct RenderPropertyDrawer {}

impl RenderPropertyDrawer {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        original: &IPropertyDrawer,
    ) -> Result<RenderPropertyDrawer, CustomError> {
        Ok(RenderPropertyDrawer {})
    }
}
