use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IStrikeThrough;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "strike_through")]
pub(crate) struct RenderStrikeThrough {}

impl RenderStrikeThrough {
    pub(crate) fn new<D: AsRef<Path>, F: AsRef<Path>>(
        config: &Config,
        output_directory: D,
        output_file: F,
        comment: &IStrikeThrough,
    ) -> Result<RenderStrikeThrough, CustomError> {
        Ok(RenderStrikeThrough {})
    }
}
